Create a vector table.
post
/vecdb/vector-tables/
Creates a new vector table. Exactly one of vectorType or embedParams must be provided. If both or neither are provided, the request is rejected.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
annotations: object
annotations
Key-value pairs added to the vector table metadata.
-
autoGenerateID: boolean
Whether the ID column of the table should be auto generated. Defaults to false.
-
debugFlags: object
VectorDebugFlags
Debug flags to be used to trace vector modules
-
description: string
A brief description of the vector table.
-
embedParams: object
embedParams
Embedding model parameters. Provide this instead of vectorType to create a table for a model (e.g., {"model":"hosted-model-name","embed_metadata_jsonpath":""}).
-
indexParams: object
VectorIndexParams
Index configuration for the table.
-
tableName(required): string
The name of the vector table.
-
vectorType: string
Allowed Values:
[ "dense" ]Vector type to use for the table. For V1 only 'dense' is supported.
Match One Schema
Show Source
Nested Schema : annotations
Type:
objectKey-value pairs added to the vector table metadata.
Nested Schema : VectorDebugFlags
Type:
objectDebug flags to be used to trace vector modules
Show Source
-
VEC_INDEX_CALIBRATION: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_COM: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ_DWNGRD: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ_GROW: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_SJ: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_SJ_BG: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_FIXED_VIEW: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_APPCHNG: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_BUILD: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_MEM: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_SEARCH: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_STATS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_PARTITIONS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_TRACE: string
Allowed Values:
[ "low", "medium", "high" ]
Nested Schema : embedParams
Type:
objectEmbedding model parameters. Provide this instead of vectorType to create a table for a model (e.g., {"model":"hosted-model-name","embed_metadata_jsonpath":""}).
Show Source
Nested Schema : VectorIndexParams
Type:
objectIndex configuration for the table.
Show Source
-
accuracy: integer
Minimum Value:
0Maximum Value:100 -
advanced_params: object
advanced_params
-
distance_metric: string
Allowed Values:
[ "COSINE", "MANHATTAN", "HAMMING", "JACCARD", "DOT", "EUCLIDEAN", "L2_SQUARED", "EUCLIDEAN_SQUARED" ] -
indexing: string
Default Value:
autoAllowed Values:[ "manual", "auto" ] -
organization: string
Default Value:
PARTITIONSAllowed Values:[ "PARTITIONS", "INMEMORY GRAPH" ]
Nested Schema : advanced_params
Type:
objectSecurity
-
BasicAuth: http
Type:
http -
BearerAuth: http
Type:
http -
OAuth2: oauth2
Type:
oauth2
Response
Supported Media Types
- application/json
- application/problem+json
201 Response
Vector table created successfully.
Root Schema : VecDBTableNoLinks
Type:
Show Source
object-
annotations: object
annotations
User metadata attached to the table.
-
auto_generate_id: integer
Whether the ID column of the table should be auto generated. Defaults to false.
-
created: string
(date-time)
Creation timestamp of the vector table.
-
dense_idx_name: string
The name of the vector index associated to the vector table.
-
description: string
Description of the vector table
-
embed_params:
embed_params
Embedding model configuration (MODEL tables).
-
index_params: object
index_params
Index configuration for the table.
-
owner: string
-
stats: object
stats
Statistics of the vector table
-
status: string
Population status of the vector table.
-
table_name: string
The name of the table
-
updated: string
(date-time)
Creation timestamp of the vector table.
-
vector_table_type: string
Allowed Values:
[ "BYOV", "MODEL" ]Creation mode of the table. -
vector_type: string
Allowed Values:
[ "dense" ]
Nested Schema : annotations
Type:
objectUser metadata attached to the table.
400 Response
The request body included invalid or missing parameters (e.g., missing tableName, invalid JSON, or providing both/neither vectorType and embedParams).
409 Response
Conflict: A table with that name already exists.